For the complete documentation index, see llms.txt. This page is also available as Markdown.

Register a new device (deprecated)

Register a new device for authorization.

You should already have a clientId supplied by Flow, and you will retreive a deviceIdentifier and deviceToken in the response.

Deprecated
post
/device
Body
clientIdstringRequired
namestring · nullableOptional
systemInformationstring · nullableOptional

Contains device name, OS, release version of OS, OS build date, like a uname -a response on linux servers

Responses
200

Example response

application/json
deviceCodestring · min: 1Required
deviceIdentifierstring · min: 1Required
expires_inintegerRequired
intervalintegerRequired
verificationUristring · min: 1Required
post/device
POST /v2/device HTTP/1.1
Host: api.flowretail.com
Content-Type: application/json
Accept: */*
Content-Length: 60

{
  "clientId": "text",
  "name": "text",
  "systemInformation": "text"
}
200

Example response

{
  "deviceCode": "text",
  "deviceIdentifier": "text",
  "expires_in": 1,
  "interval": 1,
  "verificationUri": "text"
}

Last updated

Was this helpful?